Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002208opensim[REGION] OpenSim Corepublic2008-09-17 11:102012-02-10 13:41
ReporterSnoopy 
Assigned ToSnoopy 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0002208: Covenant File Format Error
DescriptionI can change covenants by dragging a notecard into the corresponding field of the Covenant tab of the Region/Estate tool. After a while that covenant is also shown in the About Land tool properly.

But after a relog suddenly instead of the covenant the following text is shown constantly: "Problem importing estate covenant: Covenant file format error."

This is the case for most of my covenants, for example at the region "Dreamland".
Additional InformationIs there any size limit for covenants and isn't that limit checked?
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Files

- Relationships
has duplicate 0002879closedBlueWall Covenant fails because of garbadeg notecard (database inconsistency ?) 
has duplicate 0005416closedBlueWall Issues with importing estate covenant from library 
has duplicate 0005491closed covenant get lost in about land after some time. 

-  Notes
(0007632)
HomerHorwitz (manager)
2008-12-07 12:13

Is this still an issue? And if yes, could you attach the covenant that causes the problem?
(0014133)
Snoopy (administrator)
2009-11-08 14:48

I did try using covenants again, for fresh new regions, using git version 82554e9a89e4ca39c1522d539862f9fd6a2f2a7e (11/02/09) and still somehow covenant information gets damaged causing these error messages:
"Problem importing estate covenant: Covenant file format error."
(0017216)
Snoopy (administrator)
2010-10-31 06:27

This bug still exists.
(0018223)
slow putzo (reporter)
2011-04-08 18:16

bug still exists. Here is what the real NC gets changed to when this bug happens.

LLWearable version 22
New Hair

    permissions 0
    {
        base_mask 7fffffff
        owner_mask 7fffffff
        group_mask 00000000
        everyone_mask 00000000
        next_owner_mask 00082000
        creator_id a52db6d0-e96c-4454-85e5-3523722daa25
        owner_id a52db6d0-e96c-4454-85e5-3523722daa25
        last_owner_id 00000000-0000-0000-0000-000000000000
        group_id 00000000-0000-0000-0000-000000000000
    }
    sale_info 0
    {
        sale_type not
        sale_price 10
    }
type 2
parameters 39
16 0
31 .5
112 0
113 0
114 .5
115 0
119 .5
130 .45
131 .5
132 .39
133 .25
134 .5
135 .55
136 .5
137 .5
140 0
141 0
142 0
143 .13
166 0
167 0
168 0
169 0
177 0
181 .14
182 .7
183 .05
184 0
192 0
674 -.3
750 .7
752 .5
754 0
755 .05
757 -1
762 0
763 .55
785 0
789 0
textures 1
4 7ca39b4c-bd19-4699-aff7-f93fd03d3e7b


I am running release 04-07-2011 in grid mode on osgrid. This happens to several of my regions.

Imprudence 1.3.0 (Oct 7 2010 02:31:57)
Release Notes

Grid: (osgrid)

Built with MSVC version 1400

You are at 2573784.7, 2556335.3, 21.7 in Treasure Bay located at cpe-173-170-147-227.tampabay.res.rr.com (173.170.147.227:9128)
OpenSim 0.7.1 Dev OSgrid 0.7.1 (Dev) abea0c7: 2011-04-07 (Unix/Mono)

- Issue History
Date Modified Username Field Change
2008-09-17 11:10 Snoopy New Issue
2008-09-17 11:10 Snoopy SVN Revision => 6285
2008-09-17 11:10 Snoopy Run Mode => Grid (Multiple Regions per Sim)
2008-09-17 11:10 Snoopy Physics Engine => ODE
2008-09-17 11:10 Snoopy Environment => Mono / Linux32
2008-12-07 12:13 HomerHorwitz Note Added: 0007632
2008-12-14 06:48 sdague Status new => feedback
2008-12-18 10:32 Snoopy Mono Version => None
2008-12-18 10:32 Snoopy Status feedback => resolved
2008-12-18 10:32 Snoopy Resolution open => fixed
2008-12-18 10:32 Snoopy Assigned To => Snoopy
2008-12-20 04:52 Snoopy Relationship added has duplicate 0002879
2009-01-18 14:02 cfk Status resolved => closed
2009-11-08 14:48 Snoopy Status closed => feedback
2009-11-08 14:48 Snoopy Resolution fixed => reopened
2009-11-08 14:48 Snoopy Note Added: 0014133
2010-10-31 06:27 Snoopy Note Added: 0017216
2011-03-19 10:04 Snoopy Relationship added has duplicate 0005416
2011-04-08 18:16 slow putzo Note Added: 0018223
2011-05-20 06:11 Snoopy Relationship added has duplicate 0005491
2012-02-10 13:41 BlueWall Mono Version None => 2.10
2012-02-10 13:41 BlueWall Status feedback => resolved
2012-02-10 13:41 BlueWall Fixed in Version => master (dev code)
2012-02-10 13:41 BlueWall Resolution reopened => fixed
2012-02-10 13:41 BlueWall Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker